Net::Packet::NULL(3)

NAME
Net::Packet::NULL - BSD loopback layer 2 object

SYNOPSIS
   #
   # Usually, you do not use this module directly
   #
   use Net::Packet::Consts qw(:null);
   require Net::Packet::NULL;

   # Build a layer
   my $layer = Net::Packet::NULL->new;
   $layer->pack;

   print 'RAW: '.unpack('H*', $layer->raw)."\n";

   # Read a raw layer
   my $layer = Net::Packet::NULL->new(raw => $raw);

   print $layer->print."\n";
   print 'PAYLOAD: '.unpack('H*', $layer->payload)."\n"
      if $layer->payload;

DESCRIPTION
This modules implements the encoding and decoding of the BSD loopback layer.

See also Net::Packet::Layer and Net::Packet::Layer2 for other attributes and methods.

ATTRIBUTES

type
    Stores the type of encapsulated layer.

METHODS

new Object constructor. You can pass attributes that will overwrite default ones. Default values:

    type: NP_NULL_TYPE_IPv4

pack
    Packs all attributes into a raw format, in order to inject to network. Returns 1 on success, undef otherwise.

unpack
    Unpacks raw data from network and stores attributes into the object. Returns 1 on success, undef otherwise.

isTypeIpv4
isTypeIpv6
isTypeIp - is type IPv4 or IPv6
    Helper methods. Return true is the encapsulated layer is of specified type, false otherwise.

CONSTANTS
Load them: use Net::Packet::Consts qw(:null);

NP_NULL_HDR_LEN
    NULL header length in bytes.

NP_NULL_TYPE_IPv4
NP_NULL_TYPE_IPv6
    Various supported encapsulated layer types.

AUTHOR
Patrice <GomoR> Auffret

COPYRIGHT AND LICENSE
Copyright (c) 2004-2009, Patrice <GomoR> Auffret

You may distribute this module under the terms of the Artistic license. See LICENSE.Artistic file in the source distribution archive.

RELATED MODULES
NetPacket, Net::RawIP, Net::RawSock